package com.example.demo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.relational.core.mapping.Embedded;
import org.springframework.data.relational.core.mapping.Table;

import static org.springframework.data.relational.core.mapping.Embedded.OnEmpty.USE_EMPTY;

@Table("user")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class User {
    @Id
    @Embedded(onEmpty = USE_EMPTY)
    private Pk pk;

    public record Pk(String firstName, String lastName){}

    private String address;
}
